package faktorI;

import glavni.ToolBarButton;
import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JToolBar;

public class FaktorIToolBar extends JToolBar {

	private FaktorIRadnaPovrs povrs;

	public FaktorIToolBar(FaktorIRadnaPovrs p) {
		povrs = p;
		String[] imageFiles = { "nova_sim.png", "izvestaj.png" , "objasnjenja.png", "pomoc.png"};
		Insets margins = new Insets(0, 0, 0, 0);
		String[] toolbarLabels = { "Nova simulacija", "Napravi izvestaj", "Objasnjenja", "Pomoc" };
		for (int i = 0; i < imageFiles.length; i++) {
			ToolBarButton button = new ToolBarButton("files/icons/"
					+ imageFiles[i]);
			button.setMargin(margins);
			button.setToolTipText(toolbarLabels[i]);
			add(button);
		}

		addListeners();
	}

	private void addListeners() {
		((ToolBarButton) getComponentAtIndex(0))
				.addActionListener(new ActionListener() {
					public void actionPerformed(ActionEvent ae) {
						povrs.novaSimulacija(); 
					}
				});

		((ToolBarButton) getComponentAtIndex(1))
				.addActionListener(new ActionListener() {
					public void actionPerformed(ActionEvent ae) {
						povrs.napraviIzvestaj();
			}
		});
		((ToolBarButton) getComponentAtIndex(1)).setEnabled(false);
		
		((ToolBarButton) getComponentAtIndex(2))
			.addActionListener(new ActionListener() {
				public void actionPerformed(ActionEvent ae) {
					Objasnjenja.instanca().setVisible(true);
			}
		});
		
		((ToolBarButton) getComponentAtIndex(3))
			.addActionListener(new ActionListener() {
				public void actionPerformed(ActionEvent ae) {
					PomocOSimulatoru.instanca().setVisible(true);
				}
			});
	}
	
	public void dozvoliIzvestaj(){
		((ToolBarButton) getComponentAtIndex(1)).setEnabled(true);
	}
	
	public void zabraniIzvestaj(){
		((ToolBarButton) getComponentAtIndex(1)).setEnabled(false);
	}

}
